package com.goldenwater.slaj.eme.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.eme.mapper.BusiDrillEvaMapper;
import com.goldenwater.slaj.eme.domain.BusiDrillEva;
import com.goldenwater.slaj.eme.service.IBusiDrillEvaService;

/**
 * 应急演练评估 服务层实现
 */
@Service
public class BusiDrillEvaServiceImpl implements IBusiDrillEvaService {

    @Autowired
    private BusiDrillEvaMapper busiDrillEvaMapper;

    @Override
    public BusiDrillEva selectBusiDrillEvaByGuid(String guid) {
        return busiDrillEvaMapper.selectBusiDrillEvaByGuid(guid);
    }

    @Override
    public List<BusiDrillEva> selectBusiDrillEvaList(BusiDrillEva busiDrillEva) {
        return busiDrillEvaMapper.selectBusiDrillEvaList(busiDrillEva);
    }

    @Override
    public int insertBusiDrillEva(BusiDrillEva busiDrillEva) {
        return busiDrillEvaMapper.insertBusiDrillEva(busiDrillEva);
    }

    @Override
    public int updateBusiDrillEva(BusiDrillEva busiDrillEva) {
        return busiDrillEvaMapper.updateBusiDrillEva(busiDrillEva);
    }

    @Override
    public int deleteBusiDrillEvaByGuid(String guid) {
        return busiDrillEvaMapper.deleteBusiDrillEvaByGuid(guid);
    }

    @Override
    public int deleteBusiDrillEvaByGuids(String[] guids) {
        return busiDrillEvaMapper.deleteBusiDrillEvaByGuids(guids);
    }
}
